/*======================= GENERAL =================*/

*  {
    box-sizing:border-box;
    margin: 0;
    padding: 0;
}

body{
    font-family:  sans-serif;
    color: #000000;
    background-color: #fff;
    line-height: 1.6;
    scroll-behavior: smooth;
}

img{
    max-width: 100%;
    height: auto;
    display: block;
}

a {
    text-decoration: none;
    color: inherit;
}

.container {
    width: 90%;
    max-width:1200px;
    margin: 0 auto;
}

/*====================== HEADER =================*/

.site-header {
    position: sticky;
    top: 0;
    width: 100%;
    z-index: 999;
    background-image: url('images/protea\ background.png');
    background-size: cover;
    background-position: center;
    backdrop-filter: blur(6px);
    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.05);
}

.site-header.scrolled{
    opacity: 0.92;
}

.nav-inner{
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0.8rem 2rem;
    position: relative;
}

.nav-inner.nav-open{
    height: auto;
    max-height: 400px;
    overflow: hidden;
    transition: max-height 0.3s ease-in-out;
}

.nav-left, .nav-right {
    display: flex;
    gap: 1.5rem;
}

.nav-link {
    color: #000000;
    font-weight: 500;
    transition: color 0.3s ease;
    font-style: bold;
}

.nav-link:hover {
    color: #ebb87a;
}

.logo img{
    width: 320px;
    height: auto;
}

/*======================= HERO SECTION =================*/

.hero{
    position: relative;
    height: 90vh;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
}

.hero-bg{
    position: absolute;
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: -2;
}

.btn-primary {
    background-color: #ebb87a;
    color: #fff;
    padding: 0.9rem 2rem;
    border-radius: 30px;
    font-weight: 600;
    text-transform: uppercase;
    transition: 0.3s ease;
}

.btn-primary:hover{
    background-color: #000000;
}

.btn-outline{
    border: 2px solid #000000;
    color: #000000;
    padding: 0.6rem 1.5rem;
    border-radius: 25px;
    font-weight: 600;
    transition: 0.3s ease;
}

.btn-outline:hover{
    background-color: #000000;
    color:#fff
}

/*====================== SECTIONS =================*/

.section{
    padding: 5rem 0;
}

.section-title{
    text-align: center;
    color: #000000;
    font-weight: 700;
    font-size: 2rem;
    margin-bottom: 2rem;
}

.grid-2{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    gap: 2rem;
    align-items: center;
}

/*====================== ABOUT US =================*/
.about-slight{
    font-family: 'Slight', cursive;
    font-size: 3rem;
    color: #ebb87a;
    margin-bottom: 0.1rem;
}

.about-montserrat{
    font-family: 'Montserrat', sans-serif;
    font-size: 1.7rem;
    font-weight: 600;
    letter-spacing: 2px;
    text-transform: uppercase;
    color: #162821;
    margin-top: 0;
}
.about-text p{
    font-family: 'Fragment Core', sans-serif;
    font-size: 12px;
    margin-bottom: 1.2rem;
    color: #000000;
}

.about-text .btn-outline{
    margin-top: 0.5rem;
    font-size: 0.75rem;
    padding: 0.35rem 0.9rem;
    border-radius: 6px;
}

.about-section {
    display: flex;
    align-items: stretch;
    gap: 2rem;
    margin-top: 5rem;
    margin-bottom: 5rem;
}

.about-media {
    height: auto;
    width: auto;
}

.about-media video{
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 12px;
}
/*====================== SERVICES =================*/

.section-title{
    font-family: 'Slight', cursive;
    font-size: 3rem;
    color: #ebb87a;
}

.services{
    background-image: url(images/background\ 2.png);
}

.service-grid{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    gap: 2rem;
}

.service-card h4{
    font-family: 'Montserrat', sans-serif;
}

.service-card{
    background-color: #f8f8f8;
    border-radius: 10px;
    overflow: hidden;
    box-shadow: 0 3px 10px rgba(0,0,0,0.1);
    transition: transform 0.3s ease;
    text-align: center;
    padding-bottom: 1rem;
}

.service-card:hover{
    transform: translateY(-5px);
}

.service-card img{
    width: 100%;
    height: 200px;
    object-fit: cover;
}

.service-card h4{
    color: #617946;
    margin-top: 1rem;
    font-weight: 600;
}

.service-card p{
    font-family: 'Fragment Core', sans-serif;
}

/*====================== MISSION =================*/

.mission p{
    font-family: 'Fragment Core', sans-serif;
}

.mission-reviews{
    background-color: #ffffff;
}

.review{
    font-style: italic;
    margin-bottom: 1.5rem;
    color: #333;
}

/*====================== GALLERY =================*/

.gallery{
    background-image: url(images/background\ 2.png);
}
.gallery-grid{
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 15px;
}

.gallery-grid img{
    width: 100%;
    height: 220px;
    object-fit: cover;
    border-radius: 10px;
    transition: transform 0.3s ease;
}

.gallery-grid img:hover{
    transform: scale(1.03);
}

/*====================== CONTACT =================*/

.contact-grid{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    gap: 3rem;
}

.contact-form form{
    display: flex;
    flex-direction: column;
}

.contact-form label{
    margin-bottom: 0.4rem;
    color:#000000;
    font-weight: 600;
}

.contact-form input,
.contact-form textarea{
    padding: 0.8rem;
    margin-bottom: 1rem;
    border: 1px solid #ccc;
    border-radius: 8px;
    font-family: inherit;
}

.contact-info h4{
    color: #000000;
    margin-bottom: 1rem;
}

.contact-info a{
    color: #ebb87a
}

/*====================== FOOTER =================*/

.site-footer{
    background-image: url('images/protea\ background.png');
    background-size: cover;
    background-position: center;
    backdrop-filter: blur(6px);
    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.05);
    color: #000000;
    text-align: center;
    padding: 2rem 1rem;
    position: relative;
}

.site-footer p{
    text-align: center;
    font-weight: 700;
    font-size: 1rem;
    color: #444;
    margin-top: 10px;
    text-transform: uppercase;
    letter-spacing: 1px;
}

/*====================== FONTS =================*/

@font-face{
    font-family: 'Slight';
    src: url('fonts/Slight-Font/Slight/Slight/Slight-Regular.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

@font-face{
    font-family: 'Fragment Core';
    src: url('fonts/fragment_core/Fragmentcore.otf') format('truetype');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

@media (max-width: 900px) {
    .nav-left,
    .nav-right{
        display: none;
        flex-direction: column;
        background: rgba(255, 255, 255, 0.98);
        position: absolute;
        left: 0;
        top: 100%;
        width: 100%;
        padding: 1.5rem 0;
        text-align: center;
        gap: 1.3rem;
        border-top: 1px solid #eee;
    }

    .nav-inner.nav-open .nav-left,
    .nav-inner.nav-open .nav-right {
        display: flex;
    }

    .mobile-toggle {
        display: block;
    }

    .logo{
        margin: 0 auto;
        display: flex;
        justify-content: center;
    }

    .logo img {
        width: 200px;
    }
}